### Method

# Shumate PathLayer insert_node

#### Declaration [src]

    void
    shumate_path_layer_insert_node (
      ShumatePathLayer* layer,
      ShumateLocation* location,
      guint position
    )

#### Description [src]

Inserts a `ShumateLocation` object to the specified position.

#### Parameters

`location` | `ShumateLocation`
| A `ShumateLocation`.
| The data is owned by the caller of the function.
`position` | `guint`
| Position in the list where the `ShumateLocation` object should be inserted.